/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.muni.fi.pb138.cviceni2;

import java.io.File;
import java.io.IOException;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;
import org.xml.sax.SAXException;

/**
 *
 * @author tomp
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args)
            throws ParserConfigurationException, SAXException, IOException {
        writePersonNames("people.xml");
    }

    private static void writeMetadata(String filename)
            throws ParserConfigurationException, SAXException, IOException {

        DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
        DocumentBuilder builder = dbf.newDocumentBuilder();

        Document doc = builder.parse(new File(filename));

        Element people = doc.getDocumentElement();

        String author = people.getAttribute("author");
        String date = people.getAttribute("date");

        System.out.println("Author: " + author);
        System.out.println("Date:   " + date);
    }

    private static void writePersonIDs(String filename)
            throws ParserConfigurationException, SAXException, IOException {

        DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
        DocumentBuilder builder = dbf.newDocumentBuilder();

        Document doc = builder.parse(new File(filename));

        Element people = doc.getDocumentElement();

        NodeList list = people.getElementsByTagName("person");

        for (int i = 0; i < list.getLength(); i++) {
            Element person = (Element) list.item(i);
            String id = person.getAttribute("id");

            System.out.println("person id=" + id);
        }
    }

    private static void writePersonNames(String filename)
            throws ParserConfigurationException, SAXException, IOException {

        DocumentBuilderFactory dbf = DocumentBuilderFactory.newInstance();
        DocumentBuilder builder = dbf.newDocumentBuilder();

        Document doc = builder.parse(new File(filename));

        Element people = doc.getDocumentElement();

        NodeList list = people.getElementsByTagName("person");

        for (int i = 0; i < list.getLength(); i++) {
            Element person = (Element) list.item(i);

            NodeList nameList = person.getElementsByTagName("name");

            Element nameElement = (Element) nameList.item(0);

            String name = nameElement.getTextContent();

            System.out.println("person name: " + name);
        }
    }
}
